



# 雷管厂家列表
detonator_fat_list="""00	测试用工厂代号
01	北京京煤化工有限公司
04	河北卫星化工股份有限公司
07	山西焦煤集团化工有限责任公司汾矿分公司
08	山西金恒化工集团股份有限公司
09	山西壶化集团股份有限公司
10	内蒙古生力资源集团红旗化工有限公司
12	新时代民爆(辽宁)股份有限公司
14	葫芦岛凌河化工集团有限责任公司
15	辽宁华丰民用化工发展有限公司
18	长春吉阳工业有限公司
19	黑龙江青化民爆器材有限公司
20	黑龙江盛安民用爆破器材有限责任公司鹤岗分公司
21	徐州雷鸣民爆器材有限公司
22	南京理工科技化工有限责任公司
24	浙江物产光华民爆器材有限公司
29	福建海峡科化股份有限公司烽林分公司
30	福建省民爆化工股份有限公司永春分公司
34	江西新余国泰特种化工有限责任公司
36	山东圣世达化工有限责任公司
37	山东泰山民爆器材有限公司
38	前进民爆股份有限公司
44	湖北卫东化工股份有限公司
48	湖南神斧集团向红机械化工有限责任公司
49	湘南爆破器材有限责任公司
52	广东宏大韶化民爆有限公司
53	广西金建华民用爆破器材有限公司
56	四川省宜宾威力化工有限责任公司
57	雅化集团绵阳实业有限公司
58	重庆顺安天力达爆破器材有限公司
59	贵州盘江民爆有限公司
60	贵州久联民爆器材发展股份有限公司九八四四生产分公司
61	云南燃一有限责任公司
64	西安庆华民用爆破器材股份有限公司
65	甘肃久联民爆器材有限公司白银雪松分公司
68	新疆雪峰民用爆破器材有限责任公司"""


def dot_fat_list():
    str_lines=detonator_fat_list.split("\n")
    fat_list=[]
    for line in str_lines:
        s=line.split("\t")
        fat_list.append(s[0]+":"+s[1])
    return fat_list







# 波特率列表
def uartbsp_list():
    ulist=["115200","57600","9600"]
    return ulist




# 根据注码异常代码获取描述
code_errinfo_list=[
    "0:成功",
    "1:检测器异常",
    "2:电容异常",
    "3:接触异常",
    "4:桥丝异常",
    "5:芯片异常",
    "6:未找到相关任务",
    "7:过流",
    "8:短路",
    "52:三码绑定失败",
    "53:三码验证失败"
    "193:电压设置失败",
    "194:三码验证失败",
    "195:UID写入失败",
    "196:密码写入失败",
    "197:获取UID失败",
    "198:UID比对失败",
    "199:锁存失败",
    "200:等待接入超时",
    "201:已存在其他数据"
]

def code_errinfo(errcode:int):
    for i in code_errinfo_list:
        s=i.split(":")
        if(int(s[0])==errcode):
            return s[1]
    return "未定义的错误码"


# 通道数
def code_channel_list():
    ulist=["10","20"]
    return ulist



# 特征号
def code_signature_code_list():
    code_str="ACDEFGHIJKLMNOPQRSTUVWXYZabdefghijklmnpqrty0123456789"
    sig_list=[]
    for i in code_str:
        sig_list.append(i)
    return sig_list



if __name__ == "__main__":
    fats=dot_fat_list()
    for line in fats:
        print(line)





